%define major 3
%define libxfixes %mklibname xfixes %{major}
%define devxfixes %mklibname xfixes -d

Name: libxfixes
Summary:  X Fixes  Library
Version: 5.0.3
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}
Summary:  X Fixes  Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxfixes}
%{name} is a simple library designed to interface the X Fixes Extension.

%files -n %{libxfixes}
%{_libdir}/libXfixes.so.%{major}
%{_libdir}/libXfixes.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxfixes}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfixes} = %{version}-%{release}
Provides: libxfixes-devel = %{version}-%{release}
Obsoletes: %{_lib}xfixes3-devel < 5.0.1-2
Obsoletes: %{_lib}xfixes3-static-devel < 5.0.1-2

%description -n %{devxfixes}
Development files for %{name}

%files -n %{devxfixes}
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Oct 05 2016 tv <tv> 5.0.3-1.mga6
+ Revision: 1058894
- new release

* Fri May 27 2016 tv <tv> 5.0.2-1.mga6
+ Revision: 1018868
- new release

* Fri Feb 05 2016 umeabot <umeabot> 5.0.1-6.mga6
+ Revision: 938310
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 741780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 681879
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 532714
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 5.0.1-2.mga4
+ Revision: 469404
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Thu May 30 2013 tv <tv> 5.0.1-1.mga4
+ Revision: 433346
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 5.0-4.mga3
+ Revision: 397156
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 5.0-3.mga3
+ Revision: 358574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 fwang <fwang> 5.0-2.mga2
+ Revision: 170300
- drop .la files

* Tue Apr 12 2011 tv <tv> 5.0-1.mga1
+ Revision: 83576
- new release

  + rtp <rtp>
    - Drop ldconfig scripts
    - imported package libxfixes

